javax.persistence

## Enum EnumType

- java.lang.Object
- - java.lang.Enum<EnumType>
  - - javax.persistence.EnumType

- All Implemented Interfaces:
    Serializable, Comparable<EnumType>

      public enum EnumType
      extends Enum<EnumType>

  Defines mapping for enumerated types. The constants of this enumerated type specify how a persistent property or field of an enumerated type should be persisted.
  Since:
    Java Persistence 1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ORDINAL` Persist enumerated type property or field as an integer.
    `STRING` Persist enumerated type property or field as a string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORDINAL

          public static final EnumType ORDINAL

      Persist enumerated type property or field as an integer.

    - #### STRING

          public static final EnumType STRING

      Persist enumerated type property or field as a string.

  - ### Method Detail

    - #### values

          public static EnumType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumType c : EnumType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.